Index: uspace/lib/display/test/display.c
===================================================================
--- uspace/lib/display/test/display.c	(revision 4c6fd56b8079778d8d40e0d5ffc6a1e8e8ad2b5b)
+++ uspace/lib/display/test/display.c	(revision ca48672c28630656df768752aa9bc313ce9ad11c)
@@ -1,4 +1,4 @@
 /*
- * Copyright (c) 2023 Jiri Svoboda
+ * Copyright (c) 2025 Jiri Svoboda
  * All rights reserved.
  *
@@ -194,5 +194,6 @@
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
-	rc = loc_service_register(srv, test_display_svc, &sid);
+	rc = loc_service_register(srv, test_display_svc, fallback_port_id,
+	    &sid);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
@@ -224,5 +225,6 @@
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
-	rc = loc_service_register(srv, test_display_svc, &sid);
+	rc = loc_service_register(srv, test_display_svc, fallback_port_id,
+	    &sid);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
@@ -282,5 +284,6 @@
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
-	rc = loc_service_register(srv, test_display_svc, &sid);
+	rc = loc_service_register(srv, test_display_svc, fallback_port_id,
+	    &sid);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
@@ -339,5 +342,6 @@
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
-	rc = loc_service_register(srv, test_display_svc, &sid);
+	rc = loc_service_register(srv, test_display_svc, fallback_port_id,
+	    &sid);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
@@ -402,5 +406,6 @@
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
-	rc = loc_service_register(srv, test_display_svc, &sid);
+	rc = loc_service_register(srv, test_display_svc, fallback_port_id,
+	    &sid);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
@@ -462,5 +467,6 @@
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
-	rc = loc_service_register(srv, test_display_svc, &sid);
+	rc = loc_service_register(srv, test_display_svc, fallback_port_id,
+	    &sid);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
@@ -521,5 +527,6 @@
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
-	rc = loc_service_register(srv, test_display_svc, &sid);
+	rc = loc_service_register(srv, test_display_svc, fallback_port_id,
+	    &sid);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
@@ -577,5 +584,6 @@
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
-	rc = loc_service_register(srv, test_display_svc, &sid);
+	rc = loc_service_register(srv, test_display_svc, fallback_port_id,
+	    &sid);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
@@ -633,5 +641,6 @@
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
-	rc = loc_service_register(srv, test_display_svc, &sid);
+	rc = loc_service_register(srv, test_display_svc, fallback_port_id,
+	    &sid);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
@@ -690,5 +699,6 @@
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
-	rc = loc_service_register(srv, test_display_svc, &sid);
+	rc = loc_service_register(srv, test_display_svc, fallback_port_id,
+	    &sid);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
@@ -749,5 +759,6 @@
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
-	rc = loc_service_register(srv, test_display_svc, &sid);
+	rc = loc_service_register(srv, test_display_svc, fallback_port_id,
+	    &sid);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
@@ -810,5 +821,6 @@
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
-	rc = loc_service_register(srv, test_display_svc, &sid);
+	rc = loc_service_register(srv, test_display_svc, fallback_port_id,
+	    &sid);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
@@ -877,5 +889,6 @@
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
-	rc = loc_service_register(srv, test_display_svc, &sid);
+	rc = loc_service_register(srv, test_display_svc, fallback_port_id,
+	    &sid);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
@@ -940,5 +953,6 @@
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
-	rc = loc_service_register(srv, test_display_svc, &sid);
+	rc = loc_service_register(srv, test_display_svc, fallback_port_id,
+	    &sid);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
@@ -1002,5 +1016,6 @@
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
-	rc = loc_service_register(srv, test_display_svc, &sid);
+	rc = loc_service_register(srv, test_display_svc, fallback_port_id,
+	    &sid);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
@@ -1067,5 +1082,6 @@
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
-	rc = loc_service_register(srv, test_display_svc, &sid);
+	rc = loc_service_register(srv, test_display_svc, fallback_port_id,
+	    &sid);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
@@ -1129,5 +1145,6 @@
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
-	rc = loc_service_register(srv, test_display_svc, &sid);
+	rc = loc_service_register(srv, test_display_svc, fallback_port_id,
+	    &sid);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
@@ -1179,5 +1196,6 @@
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
-	rc = loc_service_register(srv, test_display_svc, &sid);
+	rc = loc_service_register(srv, test_display_svc, fallback_port_id,
+	    &sid);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
@@ -1229,5 +1247,6 @@
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
-	rc = loc_service_register(srv, test_display_svc, &sid);
+	rc = loc_service_register(srv, test_display_svc, fallback_port_id,
+	    &sid);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
@@ -1279,5 +1298,6 @@
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
-	rc = loc_service_register(srv, test_display_svc, &sid);
+	rc = loc_service_register(srv, test_display_svc, fallback_port_id,
+	    &sid);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
@@ -1329,5 +1349,6 @@
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
-	rc = loc_service_register(srv, test_display_svc, &sid);
+	rc = loc_service_register(srv, test_display_svc, fallback_port_id,
+	    &sid);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
@@ -1381,5 +1402,6 @@
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
-	rc = loc_service_register(srv, test_display_svc, &sid);
+	rc = loc_service_register(srv, test_display_svc, fallback_port_id,
+	    &sid);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
@@ -1434,5 +1456,6 @@
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
-	rc = loc_service_register(srv, test_display_svc, &sid);
+	rc = loc_service_register(srv, test_display_svc, fallback_port_id,
+	    &sid);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
@@ -1490,5 +1513,6 @@
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
-	rc = loc_service_register(srv, test_display_svc, &sid);
+	rc = loc_service_register(srv, test_display_svc, fallback_port_id,
+	    &sid);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
@@ -1546,5 +1570,6 @@
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
-	rc = loc_service_register(srv, test_display_svc, &sid);
+	rc = loc_service_register(srv, test_display_svc, fallback_port_id,
+	    &sid);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
@@ -1601,5 +1626,6 @@
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
-	rc = loc_service_register(srv, test_display_svc, &sid);
+	rc = loc_service_register(srv, test_display_svc, fallback_port_id,
+	    &sid);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
@@ -1662,5 +1688,6 @@
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
-	rc = loc_service_register(srv, test_display_svc, &sid);
+	rc = loc_service_register(srv, test_display_svc, fallback_port_id,
+	    &sid);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
@@ -1729,5 +1756,6 @@
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
-	rc = loc_service_register(srv, test_display_svc, &sid);
+	rc = loc_service_register(srv, test_display_svc, fallback_port_id,
+	    &sid);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
@@ -1799,5 +1827,6 @@
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
-	rc = loc_service_register(srv, test_display_svc, &sid);
+	rc = loc_service_register(srv, test_display_svc, fallback_port_id,
+	    &sid);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
@@ -1878,5 +1907,6 @@
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
-	rc = loc_service_register(srv, test_display_svc, &sid);
+	rc = loc_service_register(srv, test_display_svc, fallback_port_id,
+	    &sid);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
@@ -1957,5 +1987,6 @@
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
-	rc = loc_service_register(srv, test_display_svc, &sid);
+	rc = loc_service_register(srv, test_display_svc, fallback_port_id,
+	    &sid);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
@@ -2026,5 +2057,6 @@
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
-	rc = loc_service_register(srv, test_display_svc, &sid);
+	rc = loc_service_register(srv, test_display_svc, fallback_port_id,
+	    &sid);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
@@ -2062,5 +2094,6 @@
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
-	rc = loc_service_register(srv, test_display_svc, &sid);
+	rc = loc_service_register(srv, test_display_svc, fallback_port_id,
+	    &sid);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
